module.exports = {
    root: true,
    env: {
      node: true,
    },
    extends: ["plugin:vue/essential", "eslint:recommended", "@vue/prettier"],
    parserOptions: {
      parser: "babel-eslint",
    },
    rules: {
      "no-console": process.env.NODE_ENV === "production" ? "warn" : "off",
      "no-debugger": process.env.NODE_ENV === "production" ? "warn" : "off",
      //关闭prettier
      "prettier/prettier": "off",
      // 关闭eslint语法检测
      "no-unused-vars":0,
    },
    // 添加全局变量过滤
    globals: {
      "AMap": "true",
      "AMapUI": "true",
      "WeixinJSBridge": "true",
      "eruda": "true"
    },
    overrides: [
      {
        files: [
          "**/__tests__/*.{j,t}s?(x)",
          "**/tests/unit/**/*.spec.{j,t}s?(x)",
        ],
        env: {
          jest: true,
        },
      },
    ],
  };
