/*
 * @Date: 2021-11-20 10:26:39
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-11-06 09:15:22
 * @FilePath: \TelpoH5FrontendWeb\src\config\models.js
 * @description:
 */
export const VERSION_MODEL = '1.0.104F'; //版本号
export const IMAGE_URL = {
    production: 'http://zfb.ssjlai.com/web/',
    test: 'http://zfb.ssjlai.com/web/',
    development: 'http://zfb.ssjlai.com/web/'
};
//用户设备
export const USER_AGENT = window.navigator.userAgent;

// 支付宝下载链接
export const ALIPAY_DOWN_URL = {
    android: 'https://d.alipay.com',
    ios: 'https://itunes.apple.com/cn/app/zhi-fu-bao-qian-bao-yu-e-bao/id333206289?mt=8'
};
export const BaiduStatisticsModel = {
    production:  "https://hm.baidu.com/hm.js?b33e6f07636c9fd9ec8cfe04979f1664", // 随手精灵百度流量统计 正式环境
    test:        "https://hm.baidu.com/hm.js?edb76b471e997167b7782c1513382771", // 随手精灵百度流量统计 测试环境
    development: "https://hm.baidu.com/hm.js?edb76b471e997167b7782c1513382771", // 随手精灵百度流量统计 测试环境
};
// 情绪模型
export const EmotionModel = {
    // 抑郁
    depression: {
        name: '抑郁',
        type: 2,
        title1: '抑郁倾向',
        article1: `<p>设备所检测的是个体的抑郁倾向。通过将个人的生理特征（脉搏波、心率变异性等）和行为习惯（运动、作息等）与临床诊断为抑郁症的患者的相应特征进行对比，判断出个体的抑郁倾向（即抑郁症的可能性）程度。抑郁倾向持续的时间越长、程度越严重，代表患有抑郁症的风险就越大。</p>`,
        title2: '抑郁倾向算法原理',
        article2: `<p>1．研究发现，抑郁症等情绪障碍可能会引起个体外周生理系统反应的钝化，因此患者可能在面临危险、压力等应激状态下表现出较低的生理反应唤醒水平。这一点能够通过皮肤电、心率变异性等生理特征的周期性变化来判断。</p>
        <p>2．抑郁症等情绪障碍的患者会出现明显的失眠、运动少、和生物钟紊乱，算法能够有效分析判断出这些异常的行为特征。</p>`

    },
    // 压力
    stress: {
        name: '压力',
        type: 1,
        title1: '压力',
        article1: `<p>心理压力是指个体面对实际上的或认识上的至关重要的环境要求时，产生的通过各种生理和心理反应表现出来的身心紧张状态，也被称为心理应激。在心理学中，压力或应激一般指紧张感和压力感。</p>`,
        title2: '压力算法原理',
        article2: `<p>压力的生理反应可以涉及全身各个系统和器官，大脑皮质通过自主神经系统传递关于血管压力的感觉信号，这部分感受器可以感知应激反应带来的血压波动，发挥感受压力的作用。设备通过脉搏波显性反馈压力血氧反应指数，从而更加科学的判断个体的压力水平。</p>`,
    },
     // 疲劳
    tiredness: {
        name: '疲劳',
        type: 3,
        title1: '疲劳',
        article1: `<p>疲劳分为两类「生理疲劳」和「心理疲劳」。两者有本质区别，前者是：心里想做但身体无力，后者是：身体有力但心里不想做。</p>
        <p>生理疲劳：人体因生理状态而产生的困倦和技能失调的现象，指工作活动主要由身体肌肉承担产生的疲劳，又称肌肉疲劳、体力疲劳。</p>
        <p>心理疲劳：长期、单调、高压力的工作引发的力竭性心理反应，又被称为心理耗竭。主要指肌肉工作强度不大，由于工作中信息加工要求较高和情绪压力较大，或由于工作过于单调而产生的疲劳。</p>`,
        title2: '疲劳算法原理',
        article2: `<p>设备的疲劳值是生理疲劳和心理疲劳的综合值，主要通过个体日常生活中的心率，心率变异性的变化及运动体力的变化情况来进行科学计算而来。</p>`,
    }
};

//心理健康相关接口地址
export const PsyBaseUrl = process.env.NODE_ENV === 'production' ? 'https://dbmq.rzliot.com/auth_heart' : 'https://dbmq.rzliot.com/heart';


// 设备耗电情况
export const DEVICE_POWER = {
    // 电量
    BatteryLevel: {
        title: '设备电量值',
        value: 'BatteryLevel',
        type: 1,
    },
    // 信号强度
    status: {
        title: '信号强度',
        value: 'status',
        type: 2,
    },
    // 离线行为
    Offline: {
        title: '设备离线行为',
        value: 'offline',
        type: 3,
    }
}